For the complete documentation index, see llms.txt. This page is also available as Markdown.

Create a URL redirect rule for a site

Creates a new redirect rule mapping a source path to a destination URL or content reference. Use the bulk upsert endpoint instead when creating many redirects at once.

Available in MCP
post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
organizationIdstringRequired

A unique entity identifier

Pattern: ^[a-zA-Z0-9_-]+$
siteIdstringRequired

The unique id of the site

Body
sourcestring · max: 512Required

The source path to redirect from.

Pattern: ^\/(?!\*)(?!.*\*.+)(?:[A-Za-z0-9\-._~+]|%[0-9A-Fa-f]{2})+(?:\/(?:[A-Za-z0-9\-._~+]|%[0-9A-Fa-f]{2})+)*(?:\/\*|\*)?$
captureWildcardbooleanOptional

Capture and append the wildcard-matched suffix to the destination URL.

Default: false
draftbooleanOptional

Whether the redirect is draft and not live.

Default: false
destinationone ofRequired
or
or
or
or
Responses
201

The redirect was created successfully.

application/json
objectstring · enumRequiredPossible values:
idstringRequired

The unique identifier for the redirect.

sourcestring · max: 512Required

The source path to redirect from.

Pattern: ^\/(?!\*)(?!.*\*.+)(?:[A-Za-z0-9\-._~+]|%[0-9A-Fa-f]{2})+(?:\/(?:[A-Za-z0-9\-._~+]|%[0-9A-Fa-f]{2})+)*(?:\/\*|\*)?$
draftbooleanRequired

Whether the redirect is draft and not live.

captureWildcardbooleanRequired

Capture and append the wildcard-matched suffix to the destination URL.

destinationone ofRequired
or
or
or
post/orgs/{organizationId}/sites/{siteId}/redirects
201

The redirect was created successfully.

Last updated

Was this helpful?